<?php

use Illuminate\Contracts\Console\Kernel;
use Symfony\Component\Console\Input\ArrayInput;
use Symfony\Component\Console\Output\ConsoleOutput;

require __DIR__ . '/../vendor/autoload.php';

$app = require_once __DIR__ . '/bootstrap/app.php';

// Make the console kernel
$kernel = $app->make(Kernel::class);

// Define the input for the scheduler
$input = new ArrayInput([
    'command' => 'schedule:run',
]);

// Define the output for the scheduler
$output = new ConsoleOutput();

// Run the scheduler
$kernel->handle($input, $output);
